List services invoice fees

Use /services/prices/invoice-fees to retrieve all the invoice fees (Fuel, Environmental, Regulatory Cost Recovery) for your services.


URI

GET /api/v1/customers/{customerId}/services/prices/invoice-fees

Headers

Parameter Mandatory Data Type Allowed Values Description
Request-Tracking-Id Y String Unique Identifier for each request
Authorization Y String Access token
ClientId Y String Will be provided by WM
Accept N String application/json or application/xml Default is application/json

Request Parameters

Pass the following parameters in the request.

Parameter Mandatory Data Type Type Description
customerId Y Number path Unique Customer Identifier

Response Fields

Parameter Data Type Description
request_tracking_id String Unique identifier for each request
services Object The service details
id Number Unique Service Identifier
status String Service Status (Active or Inactive)
line_of_business String Line of business
enterprise_catalog_id Number Unique enterprise Catalog Identifier
prices Object The service price details
invoice_fees Object The invoice fees details
category String Fee category
category_description Number Fee category description
sub_category String Fee subcategory
sub_category_code String Fee subcategory code
sub_category_description Number Fee subcategory description
charge_excluded String Flag to indicate if this charge is excluded from service price
charge_modified_at_level String Determines if charge is modified at customer or service level
standard_rate Number Standard Rate
standard_percentage String Standard percentage
calculated_rate Number Total amount
is_fixed_percentage String Flag to indicate if fee percentage is fixed or variable
override_reason Number Reason for fee override
sales_employee_id String Sales agent employee identifier
modify_dtm String Timestamp of when the fees was modified

Tip

For information about how to test, see How To Test

Sample Request

http://api.wm.com/v1/customers/123456789/services/prices

Sample Response

{    "request_tracking_id": "53434",    "services": [        {            "id": "1",            "status": "Active",            "line_of_business": "Residential",            "enterprise_catalog_id": "120",            "prices": {                "invoice_fees": [                    {                        "category": "RCR",                        "category_description": "Regulatory Cost Recovery",                        "sub_category": "RCRRCY",                        "sub_category_code": "06Z",                        "sub_category_description": "Regulatory Cost Recovery Recycle",                        "charge_excluded": "N",                        "charge_modified_at_level": "PRCGRP",                        "standard_rate": "2.6",                        "standard_percentage": "0",                        "calculated_rate": "0",                        "is_fixed_rate": "Y",                        "override_reason": "NEGOTIATED",                        "sales_employee_id": "234567",                        "modify_dtm": "2016-09-18 05:09:22"                    },                    {                        "category": "ENVIRON",                        "category_description": "Environmental",                        "sub_category": "ENVRCY",                        "sub_category_code": "ENR",                        "sub_category_description": "Environmental Recycle",                        "charge_excluded": "N",                        "charge_modified_at_level": "PRCGRP",                        "standard_rate": "12",                        "standard_percentage": "0",                        "calculated_rate": "0",                        "is_fixed_rate": "Y",                        "override_reason": "NEGOTIATED",                        "sales_employee_id": "443345",                        "modify_dtm": "2017-12-16 02:42:00"                    },                    {                        "category": "FUEL",                        "category_description": "Fuel",                        "sub_category": "FUELRCY",                        "sub_category_code": "FSR",                        "sub_category_description": "Fuel Recycle",                        "charge_excluded": "N",                        "charge_modified_at_level": "PRCGRP",                        "standard_rate": "11.49",                        "standard_percentage": "0",                        "calculated_rate": "0",                        "is_fixed_rate": "Y",                        "override_reason": "NEGOTIATED",                        "sales_employee_id": "344556",                        "modify_dtm": "2018-02-17 02:00:00"                    }                ]            }        }    ],    "metadata": {        "totalCount": "1"    }}